> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofiniti.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all fuel types available

> Retrieves all fuel types available for creating nominations



## OpenAPI

````yaml /specs/fuelboss/fuelboss-api.json get /v1/fuel-types
openapi: 3.1.1
info:
  title: FuelBoss API
  description: >-
    REST API providing a powerful and easy way to manage your companies
    nominations and operations.
  termsOfService: https://www.ofiniti.com/legal/platform-service-terms
  contact:
    name: Support Team
    email: itops@ofiniti.com
  version: 1.15.1
servers:
  - url: https://api.demo.fuelboss.net
    description: Demo (sandbox for testing and integration development)
  - url: https://api.fuelboss.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: OAuth
  - name: Nominations
  - name: Entity management
  - name: Operations
  - name: Common
  - name: Webhooks
  - name: Webhook events
paths:
  /v1/fuel-types:
    get:
      tags:
        - Common
      summary: Retrieves all fuel types available
      description: Retrieves all fuel types available for creating nominations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FuelBoss.Api.Contracts.Api.Nomination.FuelTypes.FuelType
                  description: A fuel type available for nominations.
components:
  schemas:
    FuelBoss.Api.Contracts.Api.Nomination.FuelTypes.FuelType:
      type: object
      properties:
        name:
          type: string
          description: Fuel type code, used as the `fuelType` value in fuel specifications.
        grades:
          type: array
          items:
            enum:
              - rma
              - rmb
              - rmd
              - rme
              - rmg
              - rmk
              - dmx
              - dma
              - dfa
              - dmz
              - dfz
              - dmb
              - dfb
              - rf
              - methanol_grade_a
              - methanol_grade_b
              - methanol_grade_c
              - methanol_others
              - others
            type: string
            description: |-
              Fuel grade classification.

              Possible values:

              - `rma` — Residual Marine Grade A.
              - `rmb` — Residual Marine Grade B.
              - `rmd` — Residual Marine Grade D.
              - `rme` — Residual Marine Grade E.
              - `rmg` — Residual Marine Grade G.
              - `rmk` — Residual Marine Grade K.
              - `dmx` — Distillate Marine Grade X.
              - `dma` — Distillate Marine Grade A.
              - `dfa` — Distillate Fuel Grade A.
              - `dmz` — Distillate Marine Grade Z.
              - `dfz` — Distillate Fuel Grade Z.
              - `dmb` — Distillate Marine Grade B.
              - `dfb` — Distillate Fuel Grade B.
              - `rf` — Residual Fuel.
              - `methanol_grade_a` — Marine Methanol Grade A.
              - `methanol_grade_b` — Marine Methanol Grade B.
              - `methanol_grade_c` — Marine Methanol Grade C.
              - `methanol_others` — Marine Methanol (Other grades).
              - `others` — Other fuel grades.
          description: Fuel grades available for this fuel type.
      additionalProperties: false
      description: A fuel type available for nominations.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Access token obtained from the /oauth/token endpoint using your client
        credentials.
      scheme: bearer
      bearerFormat: JWT

````